Arbor 3: FSM & BT Graph Editor 3.5.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
OutputSlotBase Class Reference

出力スロット More...

Inheritance diagram for OutputSlotBase:

## Public Member Functions
void | AddOutputBranch (DataBranch branch)
| DataBranchの追加。 More...
void | RemoveOutputBranch (DataBranch branch)
| DataBranchの削除。 More...
int | GetOutputBranchCount ()
| DataBranchの個数を取得。 More...
DataBranch | GetOutputBranch (int index)
| DataBranchの取得。 More...
bool | IsConnectedOutput (DataBranch branch)
| DataBranchと接続しているか判定する。 More...
override void | Disconnect ()
| 接続を切断する。 More...

## Public Attributes
List< int > | branchIDs = new List<int>()
| 接続先のブランチのリスト More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| スロットが属しているステートマシン More...
Rect | position
| スロットのArborEditor上の位置(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| スロットの種類 More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| スロットの種類 More...
abstract System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...

## Additional Inherited Members
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| 接続が変更されたときのコールバックイベント More...

## Detailed Description

出力スロット

## Member Function Documentation

void AddOutputBranch | ( | DataBranch | branch | ) |

DataBranchの追加。

Parameters

  branch | DataBranch

Implements IOutputSlot.

override void Disconnect | ( |  | ) |
| virtual

接続を切断する。

Implements DataSlot.

DataBranch GetOutputBranch | ( | int | index | ) |

DataBranchの取得。

Parameters

  index | インデックス

Returns
  DataBranch

Implements IOutputSlot.

int GetOutputBranchCount | ( |  | ) |

DataBranchの個数を取得。

Returns
  DataBranchの個数

Implements IOutputSlot.

bool IsConnectedOutput | ( | DataBranch | branch | ) |

DataBranchと接続しているか判定する。

Parameters

  branch | DataBranch

Returns
  接続している場合にtrue、それ以外はfalse。

Implements IOutputSlot.

void RemoveOutputBranch | ( | DataBranch | branch | ) |

DataBranchの削除。

Parameters

  branch | DataBranch

Implements IOutputSlot.

## Member Data Documentation

List<int> branchIDs = new List<int>()

接続先のブランチのリスト

## Property Documentation

override SlotType slotType
| get

スロットの種類